package com.ssj.bean.curator;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "tb_vacation_limit")
public class TbVacationLimit extends BaseEntity {
    /**
     * id varchar(36) not null,
     * 	lib_id varchar(36) not null,
     * 	type int not null comment '1-寒假、2-五一、3-暑假、4国庆',
     * 	start_date date comment '假期开始时间',
     * 	end_date date comment '假期结束时间',
     * 	update_time datetime comment '数据修改时间',
     * 	user_id varchar(36) comment '修改人userid',
     * 	limit_year varchar(4) comment '年份',
     */
    private String libId;
    private int type;
    private Date startDate;

    private Date endDate;
    private Date updateTime;
    private String userId;
    private String limitYear;
    private Integer setState; 	//1关闭 2-开启
    private String limitMsg; //限制文案

    public String getLibId() {
        return libId;
    }

    public void setLibId(String libId) {
        this.libId = libId;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }


    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getLimitYear() {
        return limitYear;
    }

    public void setLimitYear(String limitYear) {
        this.limitYear = limitYear;
    }

    public Integer getSetState() {
        return setState;
    }

    public void setSetState(Integer setState) {
        this.setState = setState;
    }

    public String getLimitMsg() {
        return limitMsg;
    }

    public void setLimitMsg(String limitMsg) {
        this.limitMsg = limitMsg;
    }
}
